patch-2.4.6 linux/scripts/docgen

Next file: linux/scripts/docproc.c
Previous file: linux/scripts/Menuconfig
Back to the patch index
Back to the overall index

diff -u --recursive --new-file v2.4.5/linux/scripts/docgen linux/scripts/docgen
@@ -1,3 +1,10 @@
 #!/bin/sh
-X=`$TOPDIR/scripts/gen-all-syms "$*"`
-$TOPDIR/scripts/docproc $X
+set -e
+if [ -z "$scripts_objtree" ]
+then
+	X=`$TOPDIR/scripts/gen-all-syms "$*"`
+	$TOPDIR/scripts/docproc $X
+else
+	X=`${scripts_objtree}gen-all-syms "$*"`
+	TOPDIR=. ${scripts_objtree}docproc $X
+fi

FUNET's LINUX-ADM group, linux-adm@nic.funet.fi
TCL-scripts by Sam Shen (who was at: slshen@lbl.gov)